/*
 * cntlr_ubus.h - cntlr's ubus object header
 *
 * Copyright (C) 2020 IOPSYS Software Solutions AB. All rights reserved.
 *
 * Author: anjan.chanda@iopsys.eu
 *
 */

#ifndef CNTLR_UBUS_H
#define CNTLR_UBUS_H

void cntlr_notify_event_raw(struct controller *c, void *ev_type,
		void *ev_data);
void cntlr_notify_event(struct controller *c, void *ev_type,
		void *ev_data);

extern int cntlr_publish_object(struct controller *c, const char *objname);
extern void cntlr_remove_object(struct controller *c);
extern int cntlr_register_module(struct controller *c);

//int send_cmdu(struct controller *c, struct cmdu_cstruct *cmdu_data);
#endif /* CNTLR_UBUS_H */
